#
# spec file for package w32codec-all
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           w32codec-all
Version:        20110131
Release:        1.1
License:        unknown
Summary:        Win32 and other binary Codecs
Url:            http://mplayerhq.hu/MPlayer/releases/codecs/
Group:          System/Libraries
Summary(de):    Windows 32Bit und andere binäre Codecs

Source0:        http://www1.mplayerhq.hu/MPlayer/releases/codecs/all-%{version}.tar.bz2
Source1:        VoxWare_MSA_CoDec.zip

BuildRequires:  unzip
Obsoletes:      w32codec
Obsoletes:      win32-codecs
Obsoletes:      win32codecs
Provides:       w32codec
Provides:       win32-codecs
Provides:       win32codecs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  i586

%description
Win32 DLLs for decompression of AVI- and also Quicktime-movies.
Contains the dlls from the "all" package.

%description -l de
Windows32 DLLs zum Abspielen von AVI- und Quicktime-Filmen.
Enthält die Dateien aus dem "all" Paket.

%prep
%setup -c -n all-%{version} -T -a 0 -a 1

%build

%install
install -d %{buildroot}%{_libdir}/win32
cp all-%{version}/* %{buildroot}%{_libdir}/win32/
cp -f *.vwp  %{buildroot}%{_libdir}/win32/
cp -f *.acm  %{buildroot}%{_libdir}/win32/
cp -f *.dll  %{buildroot}%{_libdir}/win32/
cp -f *.inf  %{buildroot}%{_libdir}/win32/
cp -f *.ax  %{buildroot}%{_libdir}/win32/
cd %{buildroot}%{_libdir}
ln -s win32 codecs

%files
%defattr(644, root, root)
%{_libdir}/win32/*
%{_libdir}/codecs
%defattr(755, root, root)
%dir %{_libdir}/win32/

%changelog
* Mon Dec 31 2012 Marguerite Su <i@margueirte.su>
- update to 20110131
* Sat Apr 24 2010 Pascal Bleser <pascal.bleser@opensuse.org> 
- update to 20100303
* Wed Oct 10 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20071007)
* Fri Sep 14 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- included VoxWare_MSA_CoDec
* Mon Oct 23 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20061022)
* Mon Jun 12 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20060611)
* Thu May 11 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20060501)
* Sat Apr 16 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20050412)
* Thu Feb 17 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20050216)
* Sun Jan 16 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20050115)
- some cleanups
* Mon Nov  8 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20041107)
* Fri Sep 17 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20040916)
* Wed Jul  7 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20040706)
* Sun Jul  4 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20040704)
- switched to "all" package, makes it easier ;-)
* Sun Jun 27 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs
- new versions, using the package date
* Wed Jun  2 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- removed rp9 (it's not used by MPlayer or xine)
- update to the latest codecs
* Sat Apr 12 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman build header
* Fri Feb  7 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Updated of the DLL-Packages
* Wed Dec 25 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Updated version to 0.90
* Sun May  5 2002 Henne Vogelsang <henne@links2linux.de>
- Updated version to 0.60
* Sat Nov 10 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- fixed permissions of some codecs
* Sun Oct 28 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- more dll's found on mplayer-homepage
* Sun Oct 14 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- minor spec enhancements
* Wed Jan 31 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- new upstream, more codecs
* Tue Jan 23 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- first release
